use stamdata;

CREATE TABLE IF NOT EXISTS nationalRoleimporterImportStatus (
    Id BIGINT(15) AUTO_INCREMENT NOT NULL PRIMARY KEY,
    StartTime DATETIME NOT NULL,
    EndTime DATETIME,
    Outcome VARCHAR(20),
    INDEX (StartTime)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS nationalRoles (
    PID VARCHAR(32) NOT NULL PRIMARY KEY,
    ssn VARCHAR(64) NOT NULL,
    externalName VARCHAR(255) NOT NULL,
    CreatedDate DATETIME NOT NULL,
    ModifiedDate DATETIME NOT NULL,
    ValidFrom DATETIME NOT NULL,
    ValidTo DATETIME NOT NULL,
    INDEX (ssn, ValidTo, ValidFrom)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

GRANT ALL ON stamdata.nationalRoles TO 'sts'@'%';
