-- New tables to hold trusted IDP configuration
USE sts_audconf;

DROP TABLE IF EXISTS trustedIdpConfiguration;
CREATE TABLE trustedIdpConfiguration (
   issuer VARCHAR(255) NOT NULL,
   attribute VARCHAR(50) NOT NULL,
   attribute_value VARCHAR(4095),
   comment VARCHAR(255));
CREATE UNIQUE INDEX trustedIdpConfiguration_uniq ON trustedIdpConfiguration (issuer, attribute);

DROP TABLE IF EXISTS trustedIdpCitizenConfiguration;
CREATE TABLE trustedIdpCitizenConfiguration (
   issuer VARCHAR(255) NOT NULL,
   attribute VARCHAR(50) NOT NULL,
   attribute_value VARCHAR(4095));
CREATE UNIQUE INDEX trustedIdpCitizenConfiguration_uniq ON trustedIdpCitizenConfiguration (issuer, attribute);