use stamdata;
set names utf8;

------------------------------------------------
-- Authorizations
------------------------------------------------
UPDATE autreg SET cpr = '1010903333', given_name = 'Ole', surname = 'Olsen', aut_id = '108NX' WHERE cpr = '2501879875';
DELETE FROM autreg WHERE cpr = '0807993127';

------------------------------------------------
-- National Roles
------------------------------------------------
-- MOCES_STSTEST_EnRolle_IngenAut_Clausen.p12 (En rolle, ingen autorisationer)
insert into nationalRoles (PID, ssn, externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
values ('1111901113-3-PlejeAssR3', 'UI:DK-E:G:594f7fc0-30cf-4b83-8521-4d3f810b3107', 'nspPlejeAssR3', date('2000-01-01'), date('2000-01-01'), date('2000-01-01'), date('2100-01-01'));

-- MOCES_STSTEST_TreRoller_IngenAut_Mortensen.p12 (tre roller, ingen autorisationer)
insert into nationalRoles (PID, ssn, externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
values ('1111901115-1-PlejeAssR3', 'UI:DK-E:G:b57fa5ad-493e-448b-8759-cfcb844b1f1f', 'nspPlejeAssR3', date('2000-01-01'), date('2000-01-01'), date('2000-01-01'), date('2100-01-01'));
insert into nationalRoles (PID, ssn, externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
values ('1111901115-1-nspSundAssistR1', 'UI:DK-E:G:b57fa5ad-493e-448b-8759-cfcb844b1f1f', 'nspSundAssistR1', date('2000-01-01'), date('2000-01-01'), date('2000-01-01'), date('2100-01-01'));
insert into nationalRoles (PID, ssn, externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
values ('1111901115-1-nspSundAssistR2', 'UI:DK-E:G:b57fa5ad-493e-448b-8759-cfcb844b1f1f', 'nspSundAssistR2', date('2000-01-01'), date('2000-01-01'), date('2000-01-01'), date('2100-01-01'));

USE sts_audconf;
set names utf8;
------------------------------------------------
-- userData
------------------------------------------------
UPDATE userData SET cpr = '1010903333', givenName = 'Ole', surName = 'Olsen' WHERE cpr = '2501879875';
UPDATE userData SET cpr = '0909744321', givenName = 'NSTSSnullAen', surName = 'Jensen' WHERE cpr = '0807993127';

-- MOCES_STSTEST_EnRolle_IngenAut_Clausen.p12 (En rolle, ingen autorisationer)
INSERT INTO userData (cpr, givenName, surName) VALUES ('1111901113', 'Claus', 'Clausen');

-- MOCES_STSTEST_IngenRoller_IngenAut_Hansen.p12 (Ingen rolle, ingen autorisationer)
INSERT INTO userData (cpr, givenName, surName) VALUES ('1111901114', 'Hanne', 'Hansen');

-- MOCES_STSTEST_TreRoller_IngenAut_Mortensen.p12 (tre roller, ingen autorisationer)
INSERT INTO userData (cpr, givenName, surName) VALUES ('1111901115', 'Morten', 'Mortensen');


------------------------------------------------
-- UUID2CPR Cache
------------------------------------------------
USE sts;
UPDATE uuidcprcache set cpr = '0909744321' WHERE uuid = 'UI:DK-E:G:541a5c3f-dc23-4721-a8ce-c0390f4afc3e' and cpr = '0807993127';

-- MOCES_STSTEST_EnRolle_IngenAut_Clausen.p12 (En rolle, ingen autorisationer)
INSERT INTO uuidcprcache (uuid, cpr) VALUES ('UI:DK-E:G:594f7fc0-30cf-4b83-8521-4d3f810b3107', '1111901113');

-- MOCES_STSTEST_IngenRoller_IngenAut_Hansen.p12 (Ingen rolle, ingen autorisationer)
INSERT INTO uuidcprcache (uuid, cpr) VALUES ('UI:DK-E:G:fed28411-15b4-47a3-81f4-4e284b7c581c', '1111901114');

-- MOCES_STSTEST_TreRoller_IngenAut_Mortensen.p12 (tre roller, ingen autorisationer)
INSERT INTO uuidcprcache (uuid, cpr) VALUES ('UI:DK-E:G:b57fa5ad-493e-448b-8759-cfcb844b1f1f', '1111901115');