package dk.sosi.sts.integrations.blurring;

public enum SOAPOperation {
    GetBlurredOrganisations("http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/#GetBlurredOrganisations"),
    ListAllActiveOrgBlurrings("http://sundhedsdatastyrelsen.dk/identitetssloering/2024/01/24/#ListAllActiveOrgBlurrings");

    private final String soapOperation;

    SOAPOperation(String soapOperation) {
        this.soapOperation = soapOperation;
    }

    public String getSoapOperation() {
        return soapOperation;
    }
}