package dk.sosi.sts;

import java.util.Optional;
import java.util.stream.Stream;

public class OptionalExt {
    private OptionalExt() { }

    // Can be replaced in Java 9 by Optional::stream
    public static <T> Stream<T> toStream(Optional<T> o) { return o.map(Stream::of).orElseGet(Stream::empty); }
}