CREATE TABLE IF NOT EXISTS stamdata.nationalRoleimporterImportStatus (
    Id BIGINT AUTO_INCREMENT NOT NULL PRIMARY KEY,
    StartTime DATETIME NOT NULL,
    EndTime DATETIME,
    Outcome VARCHAR(20)
);
CREATE INDEX idx_nationalRoleimporterImportStatus_1 ON stamdata.nationalRoleimporterImportStatus(StartTime);
GRANT ALL ON stamdata.nationalRoleimporterImportStatus TO sts;


CREATE TABLE IF NOT EXISTS stamdata.nationalRoles (
    PID VARCHAR(32) NOT NULL PRIMARY KEY,
    ssn VARCHAR(64) NOT NULL,
    externalName VARCHAR(255) NOT NULL,
    CreatedDate DATETIME NOT NULL,
    ModifiedDate DATETIME NOT NULL,
    ValidFrom DATETIME NOT NULL,
    ValidTo DATETIME NOT NULL
);
CREATE INDEX idx_nationalRoles_1 ON stamdata.nationalRoles(ssn, ValidTo, ValidFrom);
GRANT ALL ON stamdata.nationalRoles TO sts;
