package dk.sosi.sts.server;

import dk.sosi.sts.model.CprNr;

import java.util.Optional;

/**
 * Class used to transport the verify results around
 */
public class VerifyResult {
    public String role;
    public String authorizationCode;
    public CprNr cpr;

    public Optional<String> getRole() {
        return Optional.ofNullable(role);
    }

    public Optional<String> getAuthorizationCode() {
        return Optional.ofNullable(authorizationCode);
    }
}
