package dk.sosi.sts.roles;

import javax.sql.DataSource;

import org.springframework.jdbc.datasource.DriverManagerDataSource;

import com.mysql.jdbc.Driver;

public class DBTestUtil {
    public static final String MYSQL_HOST = System.getProperty("test.mysql.host", "localhost");
    public static final String MYSQL_PORT = System.getProperty("test.mysql.port", "3306");
    public static final String MYSQL_USER = System.getProperty("test.mysql.user", "root");
    public static final String MYSQL_PASS = System.getProperty("test.mysql.password", "password");

    public static DataSource getTestDataSource(String database) {
        Class driverClass = Driver.class;
        String conenctionUrl = "jdbc:mysql://"+ MYSQL_HOST + ":" + MYSQL_PORT + "/" + database;
        DriverManagerDataSource driverManagerDataSource = new DriverManagerDataSource(conenctionUrl, MYSQL_USER, MYSQL_PASS);
        driverManagerDataSource.setDriverClassName(driverClass.getName());
        return driverManagerDataSource;
    }
}
