package dk.nsp.uuid2cpr;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@WebServlet("/*")
public class MockWS extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws IOException {
        String path = req.getPathInfo();

        if (path.equals("/service/lookup/UI:DK-E:G:2634ccc3-225a-44ee-94bc-565904f46ead")) {
            resp.setContentType("application/json");
            resp.getWriter().write("{\"value\":\"2501879875\"}");
        } else if (path.equals("/service/lookup-pid-cpr/PID:9208-2002-2-514358910503")) {
            resp.setContentType("application/json");
            resp.getWriter().write("{\"value\":\"0501792275\"}");
        } else {
            resp.sendError(404);
        }
    }
}
