-- Expected sts configuration data
USE sts_audconf;

INSERT INTO audienceConfiguration (audience, attribute, attribute_value) VALUES ('https://fmk','certificate.fmk','CVR:33257872-FID:79680045');
INSERT INTO audienceConfiguration (audience, attribute, attribute_value) VALUES ('https://fmk', 'lifetime', '300');

INSERT INTO audienceConfiguration (audience, attribute, attribute_value) VALUES ('http://audience/clear','certificate.REVOKED_2020','CVR:30808460-FID:45327473');

INSERT INTO audienceConfiguration (audience, attribute, attribute_value) VALUES ('http://audience/sbo_noBST','certificate.REVOKED_2020','CVR:30808460-FID:45327473');

UPDATE iboConfig SET publicKey='MIIGOTCCBSGgAwIBAgIEW6065DANBgkqhkiG9w0BAQsFADBIMQswCQYDVQQGEwJE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'
WHERE audience='/ststest';

UPDATE audienceConfiguration SET attribute_value='MIIGOTCCBSGgAwIBAgIEW6065DANBgkqhkiG9w0BAQsFADBIMQswCQYDVQQGEwJE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'
WHERE attribute='publicKey' and audience in ('http://audience/sbo','http://audience/sbo_noBST')