-- New moces3 tables (uuidcprhash and uuidcprcache)
USE sts;

DROP TABLE IF EXISTS uuidcprhash;
CREATE TABLE uuidcprhash (
	hash CHAR(46) NOT NULL,
	createdDate datetime);
CREATE UNIQUE INDEX uuidcpr_hash ON uuidcprhash (hash);

DROP TABLE IF EXISTS uuidcprcache;
CREATE TABLE uuidcprcache (
	uuid VARCHAR(64) NOT NULL,
	cpr VARCHAR(16) NOT NULL,
	createdDate datetime);
CREATE UNIQUE INDEX uuidcprcache_ssn ON uuidcprcache (uuid);