-- Test data that should already exist on test environments

USE sts;

DELETE FROM cprcache WHERE ssn='CVR:25450442-RID:NSTSSenAtre';
INSERT INTO cprcache (ssn, cpr) VALUES ('CVR:25450442-RID:83985735', '0606559739');

DELETE FROM cprcache WHERE ssn='CVR:25450442-RID:NSTSStreAnull';
INSERT INTO cprcache (ssn, cpr) VALUES ('CVR:25450442-RID:43503006', '3006453723');

DELETE FROM cprcache WHERE ssn='CVR:25450442-RID:NSTSStreAtre';
INSERT INTO cprcache (ssn, cpr) VALUES ('CVR:25450442-RID:85632718', '0206994029');

USE stamdata;

DELETE FROM autreg where cpr='0707764321';
DELETE FROM autreg where cpr='0505784321';

DELETE FROM nationalRoles WHERE ssn='CVR:25450442-RID:NSTSSenAtre';
INSERT INTO nationalRoles (PID, ssn,externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
    VALUES ('25450442-SenAtre-nspPlejeAssR3', 'CVR:25450442-RID:83985735', 'nspPlejeAssR3', date('2000-01-01'), date('2000-01-01'), date('2000-01-01'), date('2100-01-01'));

DELETE FROM nationalRoles WHERE ssn='CVR:25450442-RID:NSTSStreAnull';
INSERT INTO nationalRoles (PID, ssn,externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
    VALUES ('25450442-StreAnull-SundAssR1', 'CVR:25450442-RID:43503006', 'nspSundAssistR1', date('2000-01-01'), date('2000-01-01'), date('200-01-01'), date('2100-01-01'));
INSERT INTO nationalRoles (PID, ssn,externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
    VALUES ('25450442-StreAnull-SundAssR2', 'CVR:25450442-RID:43503006', 'nspSundAssistR2', date('2000-01-01'), date('2000-01-01'), date('2001-01-01'), date('2100-01-01'));
INSERT INTO nationalRoles (PID, ssn,externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
    VALUES ('25450442-StreAnull-PlejeAssR3', 'CVR:25450442-RID:43503006', 'nspPlejeAssR3', date('2000-01-01'), date('2000-01-01'), date('2002-01-01'), date('2100-01-01'));

DELETE FROM nationalRoles WHERE ssn='CVR:25450442-RID:NSTSStreAtre';
INSERT INTO nationalRoles (PID, ssn,externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
    VALUES ('25450442-StreAtre-SundAssR1', 'CVR:25450442-RID:85632718', 'nspSundAssistR1', date('2000-01-01'), date('2000-01-01'), date('200-01-01'), date('2100-01-01'));
INSERT INTO nationalRoles (PID, ssn,externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
    VALUES ('25450442-StreAtre-SundAssR2', 'CVR:25450442-RID:85632718', 'nspSundAssistR2', date('2000-01-01'), date('2000-01-01'), date('2001-01-01'), date('2100-01-01'));
INSERT INTO nationalRoles (PID, ssn,externalName, CreatedDate, ModifiedDate, ValidFrom, ValidTo)
    VALUES ('25450442-StreAtre-PlejeAssR3', 'CVR:25450442-RID:85632718', 'nspPlejeAssR3', date('2000-01-01'), date('2000-01-01'), date('2002-01-01'), date('2100-01-01'));