package dk.nsp.idsas.ws._20230601;

import com.unboundid.util.Base64;
import dk.sundhedsdatastyrelsen.identitetssloering._2023._06._01.GetCurrentSaltRequest;
import dk.sundhedsdatastyrelsen.identitetssloering._2023._06._01.IdsasSaltPortType;
import org.apache.cxf.annotations.SchemaValidation;

import javax.jws.WebService;
import javax.servlet.annotation.WebServlet;
import javax.xml.ws.BindingType;
import java.text.ParseException;

import static javax.xml.ws.soap.SOAPBinding.SOAP11HTTP_BINDING;

@WebServlet(name="IdsasSalt", urlPatterns={"/20230601/salt"})
@WebService(serviceName = "IdsasSalt", wsdlLocation = "wsdl/20230601/idsas-salt.wsdl",
        targetNamespace = "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/",
        portName = "IdsasSaltPort")
@BindingType(value = SOAP11HTTP_BINDING)
@SchemaValidation(type = SchemaValidation.SchemaValidationType.BOTH)
public class IdsasSaltWS implements IdsasSaltPortType {
    @Override
    public byte[] getCurrentSalt(GetCurrentSaltRequest u) {
        try { return Base64.decode("jadacHfVnbIZjJRR90riGw=="); } // Same salt as on test1
        catch (ParseException e) { throw new RuntimeException(e); }
    }
}