package dk.sosi.sts.ridcpr.stub;

import java.util.Collections;

import javax.servlet.Servlet;

import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class WebServiceConfig {
	@Bean
	public ServletRegistrationBean<Servlet> messageDispatcherServlet(ApplicationContext applicationContext) {
		ServletRegistrationBean<Servlet> srb = new ServletRegistrationBean<Servlet>();
		srb.setServlet(new RidCpr());
		srb.setUrlMappings(Collections.singletonList("/rid/*"));
		
		return srb;
	}
}