package dk.sosi.sts.model;

import java.util.Objects;

public class BlurredOrganization {
    public final String value;
    public final Type type;

    public enum Type { Cvr, Sor, Shak }

    public BlurredOrganization(String value, Type t) { this.value = value; this.type = t; }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BlurredOrganization that = (BlurredOrganization) o;
        return Objects.equals(value, that.value) && type == that.type;
    }

    @Override
    public int hashCode() { return Objects.hash(value, type); }
}