package dk.sosi.sts.util;

import dk.sosi.seal.xml.CertificateParser;
import dk.sosi.seal.xml.XmlUtil;

import java.security.cert.X509Certificate;

/**
 * Created by Kent on 21-02-2017.
 */
public class CertificateUtil {
    public static X509Certificate parseCertificateConfiguration(String input) {
        final X509Certificate x509Certificate = CertificateParser.asCertificate(
                XmlUtil.fromBase64(input.trim().replaceAll("[\n ]", "")));
        if (x509Certificate == null) {
            throw new RuntimeException("Database public key could not be parsed.");
        }

        return x509Certificate;
    }
}
