package dk.sosi.sts.server;

import dk.sosi.sts.certificate.OcesInfo;
import dk.sosi.sts.model.CprNr;

public class VerifyInput {
    private final OcesInfo ocesInfo;
    private final CprNr inputCpr;
    private final String inputRole;
    private final String inputAuthorizationCode;

    public VerifyInput(OcesInfo ocesInfo, CprNr inputCpr, String inputRole, String inputAuthorizationCode) {
        this.ocesInfo = ocesInfo;
        this.inputCpr = inputCpr;
        this.inputRole = inputRole;
        this.inputAuthorizationCode = inputAuthorizationCode;
    }

    public OcesInfo getOcesInfo() {
        return ocesInfo;
    }

    public CprNr getInputCpr() {
        return inputCpr;
    }

    public String getInputRole() {
        return inputRole;
    }

    public String getInputAuthorizationCode() {
        return inputAuthorizationCode;
    }
}
