package dk.sosi.sts.server.facade;

import org.w3c.dom.Document;

import dk.sosi.seal.xml.XmlUtil;

/**
 * Created by Kent on 21-03-2017.
 */
public interface TestClient {
	default Document execute(Document request) { return execute(XmlUtil.node2String(request)).document; }

	Response execute(String soapEnvelope);

	class Response {
		public final Document document;
		public final int code;
		public Response(Document document, int code) { this.document = document; this.code = code; }
	}
}
