package dk.sosi.sts.server.facade.bst2sosi;

import dk.sosi.sts.server.facade.TestClient;
import org.junit.Before;

public class Bst2SosiEmbeddedTest extends Bst2SosiTest {

    private TestClient testClientHelper;
    private EmbeddedBst2SosiBuilder embeddedBst2SosiBuilder;

    public Bst2SosiEmbeddedTest() {
        super(true);
    }

    @Before
    public void setUp() throws Exception {
        embeddedBst2SosiBuilder = new EmbeddedBst2SosiBuilder(version);
        testClientHelper = embeddedBst2SosiBuilder.build();
    }

    @Override
    protected TestClient getTestClient() {
        return testClientHelper;
    }
}
